# Uses of Class
net.shibboleth.idp.session.context.LogoutContext

Packages that use LogoutContext
Package
Description
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.
net.shibboleth.idp.session.context
Context classes for managing session-related state.
net.shibboleth.idp.session.context.navigate
Functions for traversing session-related contexts.
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of LogoutContext in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl with type parameters of type LogoutContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,LogoutContext>`
ProcessLogoutRequest.`logoutContextCreationStrategy`
Creation/lookup function for LogoutContext.
Method parameters in net.shibboleth.idp.saml.saml2.profile.impl with type arguments of type LogoutContext
Modifier and Type
Method
Description
`void`
ProcessLogoutRequest.`setLogoutContextCreationStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the creation/lookup strategy for the `LogoutContext` to populate.

## Uses of LogoutContext in net.shibboleth.idp.session.context

Methods in net.shibboleth.idp.session.context that return LogoutContext
Modifier and Type
Method
Description
`LogoutContext`
LogoutContext.`setFlowComplete(boolean flag)`
Sets whether the master logout flow has completed or requires further signaling.

## Uses of LogoutContext in net.shibboleth.idp.session.context.navigate

Methods in net.shibboleth.idp.session.context.navigate with parameters of type LogoutContext
Modifier and Type
Method
Description
`SPSession`
LogoutContextSessionLookupFunction.`apply(LogoutContext input)`

## Uses of LogoutContext in net.shibboleth.idp.session.impl

Fields in net.shibboleth.idp.session.impl declared as LogoutContext
Modifier and Type
Field
Description
`private LogoutContext`
DestroySessions.`logoutContext`
LogoutContext to access.
`private LogoutContext`
PopulateMultiRPContextFromLogoutContext.`logoutCtx`
`LogoutContext` to process.
Fields in net.shibboleth.idp.session.impl with type parameters of type LogoutContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,LogoutContext>`
ProcessLogout.`logoutContextCreationStrategy`
Creation/lookup function for LogoutContext.
`private Function<ProfileRequestContext,LogoutContext>`
SaveLogoutContext.`logoutContextLookup`
Looks up a LogoutContext from PRC.
`private Function<ProfileRequestContext,LogoutContext>`
DestroySessions.`logoutContextLookupStrategy`
Lookup function for LogoutContext.
`private Function<ProfileRequestContext,LogoutContext>`
LogoutStatusStrategyFunction.`logoutContextLookupStrategy`
Lookup strategy for context.
`private Function<ProfileRequestContext,LogoutContext>`
PopulateMultiRPContextFromLogoutContext.`logoutContextLookupStrategy`
Lookup function for `LogoutContext`.
`private Function<ProfileRequestContext,LogoutContext>`
RestoreProfileRequestContextTree.`logoutContextLookupStrategy`
Looks up a LogoutContext from PRC.
`private Function<ProfileRequestContext,LogoutContext>`
SaveProfileRequestContextTree.`logoutContextLookupStrategy`
Looks up a LogoutContext from PRC.
Method parameters in net.shibboleth.idp.session.impl with type arguments of type LogoutContext
Modifier and Type
Method
Description
`void`
ProcessLogout.`setLogoutContextCreationStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the creation/lookup strategy for the LogoutContext to populate.
`void`
DestroySessions.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the LogoutContext to access.
`void`
LogoutStatusStrategyFunction.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the LogoutContext to access.
`void`
PopulateMultiRPContextFromLogoutContext.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the LogoutContext to process.
`void`
RestoreProfileRequestContextTree.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the `LogoutContext`.
`void`
SaveLogoutContext.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the `LogoutContext`.
`void`
SaveProfileRequestContextTree.`setLogoutContextLookupStrategy(Function<ProfileRequestContext,LogoutContext> strategy)`
Set the lookup strategy for the `LogoutContext`.